Main Page Namespace List Class Hierarchy Compound List File List Namespace Members Compound Members File Members

# mysqlpp::SQLQueryParms Class Reference

This class holds the parameter values for filling template queries. More...

`#include <sql_query.h>`

Collaboration diagram for mysqlpp::SQLQueryParms:

[legend]
List of all members.

## Public Methods

| SQLQueryParms ()
| Default constructor.
| SQLQueryParms (SQLQuery *p)
| Create object.
bool | bound ()
| Returns true if we are bound to a query object.
void | clear ()
| Clears the list.
SQLString & | operator[] (size_type n)
| Access element number n.
const SQLString & | operator[] (size_type n) const
| Access element number n.
SQLString & | operator[] (const char *str)
| Access the value of the element with a key of str.
const SQLString & | operator[] (const char *str) const
| Access the value of the element with a key of str.
SQLQueryParms & | operator<< (const SQLString &str)
| Adds an element to the list.
SQLQueryParms & | operator+= (const SQLString &str)
| Adds an element to the list.
SQLQueryParms | operator+ (const SQLQueryParms &other) const
| Build a composite of two parameter lists.
void | set (ss a, ss b, ss c, ss d, ss e, ss f, ss g, ss h, ss i, ss j, ss k, ss l)
| Set the template query parameters.

## Detailed Description

This class holds the parameter values for filling template queries.

## Constructor & Destructor Documentation

mysqlpp::SQLQueryParms::SQLQueryParms | ( | SQLQuery * | p | ) | `[inline]`

Create object.

Parameters:

  p | pointer to the query object these parameters are tied to

## Member Function Documentation

bool mysqlpp::SQLQueryParms::bound | ( |  | ) | `[inline]`

| Returns true if we are bound to a query object. Basically, this tells you which of the two ctors were called.

SQLQueryParms mysqlpp::SQLQueryParms::operator+ | ( | const SQLQueryParms & | other | ) | const

Build a composite of two parameter lists.

If this list is (a, b) and `other` is (c, d, e, f, g), then the returned list will be (a, b, e, f, g). That is, all of this list's parameters are in the returned list, plus any from the other list that are in positions beyond what exist in this list.

If the two lists are the same length or this list is longer than the `other` list, a copy of this list is returned.

void mysqlpp::SQLQueryParms::set | ( | ss | a,
|  | ss | b,
|  | ss | c,
|  | ss | d,
|  | ss | e,
|  | ss | f,
|  | ss | g,
|  | ss | h,
|  | ss | i,
|  | ss | j,
|  | ss | k,
|  | ss | l
| ) | `[inline]`

| Set the template query parameters. Sets parameter 0 to a, parameter 1 to b, etc. There are overloaded versions of this function that take anywhere from one to a dozen parameters.

The documentation for this class was generated from the following files:

- sql_query.h
- sql_query.cpp